MediaProvider Collection (WSC) 1.0.4

License Agreement
License terms for non-commercial products
Website
https://destinaja.de
Supported Versions
WoltLab Suite 3.0
WoltLab Suite 3.1

This Plugin for the WoltLab Suite 3 add a collection of media providers to the standard media providers.

A community become through their media providers a multimedia platform.

Therefore as many as posible sources should be supported.


This Plugin for the WoltLab Suite 3 add a collection of media providers to the standard media providers.


The following media providers are supported:

  • 4Players
  • ABC News
  • Archive.org
  • audioBoom
  • Audiomack Album + Playlist
  • Audiomack Song
  • BBC News
  • Channel9
  • CNBC
  • CNN
  • CNN Money
  • Collegehumor
  • DailyMotion Playlist
  • Democracy Now
  • Dumpert
  • External Videofiles
  • External Audiofiles
  • Facebook-Posts
  • Facebook-Videos
  • Fox News
  • Funny Or Die
  • GameSpot
  • Gamestar
  • gaskrank.tv
  • gfycat
  • Gigrawars.de
  • Global News
  • Golem Video
  • Google+
  • Google Documents
  • Google MyMaps
  • Google Spreadsheets
  • Hot Coub
  • IGN
  • IMDB Videos
  • imgur
  • Indiegogo
  • Instagram
  • ivoox
  • JibJab
  • Justin.tv
  • Kickstarter
  • LiveCap
  • Mail.ru Videos
  • Metacafe
  • Mixcloud
  • Myspace
  • National Geographic Channel
  • New York Times
  • NHL.com
  • Oddshot
  • OK.ru
  • Plays.tv
  • Rutube
  • Sendvid
  • Sketchfab
  • Speedtest
  • Spotify
  • Streamable
  • Ted
  • The Atlantic
  • The Onion Videos
  • Toornament
  • TwitchTV Channel
  • TwitchTV Video
  • Twitter (via Twitframe)
  • Ustream
  • VBOX7
  • Vevo
  • Video Detective
  • Vidme
  • Vine
  • YouKu
  • XboxDVR
  • xivdb


Support requests will only be answered in the support area of my website Destinaja.de. Please start your requests there. Thanks.

  • Version 1.0.4

    Update only for WSC 3.0:


    - Added optional plugin Clickandload

    - All providers reworked

    - 4Player removed, because not ssl

    - BBC News removed, because not ssl

    - CNN and CNN Money removed, because new link structure no longer compatible

    - Collegehumor removed because not ssl

    - Facebook posts and Facebook videos reworked to avoid script

    - Gamestar removed, because not ssl

    - gaskrank.tv removed, because not ssl

    - Gigrawars.de removed, because stopped business

    - IGN removed, because not ssl

    - IMDB videos removed, because not ssl

    - JibJab removed, because not ssl

    - Justin.tv removed, because not ssl

    - LiveCap removed, because no longer available

    - Mail.ru removed videos, because no longer compatible

    - Metacafe removed, because not ssl

    - Myspace removed, because no longer compatible

    - National Geographic Channel removed, because not ssl

    - Oddshot removed, because no longer compatible

    - OK.ru removed, because no longer compatible

    - Speedtest removed, because not ssl

    - Ted away, because not ssl

    - The Atlantic removed, because not ssl

    - The Onion videos removed, because not ssl

    - Toornament removed, because no longer compatible

    - TwitchTV Channel, TwitchTV Clips and TwitchTV Video changed to the default provider

    - Ustream removed, because not ssl

    - VBOX7 removed, because not ssl

    - Vevo removed, because no longer available

    - Video Detective removed, because not ssl

    - Vidme removed, because no longer compatible

    - Vine removed, because not ssl

    - YouKu removed, because not ssl

    - XboxDVR removed, because not ssl

  • Version 1.0.2

  • Version 1.0.1

    • update javascript-files from provider xivdb
    • add provider TwitchTV Clips
    • improved RegEx and HTML-Code for all Twitch providers
    • improved RegEx for provider Gamestar

  • Version 1.0.0

  • Your website is behaving strangely and I can no longer access it in order to ask you a question.

  • BBC News is now SSL.

    Will you be adding it back in?

  • Wie kann ich den Cookie-Hinweis ausschalten? :) Es reicht sicher aus, nur einen Hinweis einzublenden. So sind es aktuell zwei.

  • MediaProvider Collection (WSC)de.thewaiters.wsc.mediaprovider.collection
    Dieses Paket ist inkompatibel mit den folgenden, installierten Paketen:
    • „WoltLab Suite Core“ (com.woltlab.wcf)


    3.1 ;)

  • Kannst du dir folgendes bitte mal anschauen und mir mitteilen ob es an dem Plugin liegt?


    [media] Element überdeckt Bilder im ImageViewer

    • Gemäß meiner Pluginbeschreibung gibt es keinen Support via Kommentare.

      Bitte nutzt die Supportseite. Danke.


      According to my plugin description, there is no support via comments.

      Please use the support page. Thank you.

  • 'An unknown error occurred during the upload' is the message I'm receiving.

  • Ist es bereits für 3.1 geplant?

  • Gemäß meiner Pluginbeschreibung gibt es keinen Support via Kommentare.
    Bitte nutzt die Supportseite. Danke.
    According to my plugin description, there is no support via comments.
    Please use the support page. Thank you.

  • This is not installing on my site, getting this error message:


    Cannot find package 'com.thurnax.wcf.pip.mediaprovider' in version ''


    Stacktrace:
    #0 /home/forumbox/public_html/lib/system/package/PackageInstallationScheduler.class.php(120): wcf\system\package\PackageUpdateDispatcher->getPackageUpdateVersions('com.thurnax.wcf...', NULL)
    #1 /home/forumbox/public_html/lib/system/package/PackageInstallationScheduler.class.php(99): wcf\system\package\PackageInstallationScheduler->installPackage('com.thurnax.wcf...', '', -1, false)
    #2 /home/forumbox/public_html/lib/system/package/PackageInstallationScheduler.class.php(198): wcf\system\package\PackageInstallationScheduler->tryToInstallPackage('com.thurnax.wcf...', '1.0.3')
    #3 /home/forumbox/public_html/lib/system/package/PackageInstallationScheduler.class.php(123): wcf\system\package\PackageInstallationScheduler->resolveRequirements('9882')
    #4 /home/forumbox/public_html/lib/system/package/PackageInstallationScheduler.class.php(99): wcf\system\package\PackageInstallationScheduler->installPackage('de.thewaiters.w...', '1.0.1', -1, true)
    #5 /home/forumbox/public_html/lib/system/package/PackageInstallationScheduler.class.php(65): wcf\system\package\PackageInstallationScheduler->tryToInstallPackage('de.thewaiters.w...', '1.0.1', true, true)
    #6 /home/forumbox/public_html/lib/data/package/update/PackageUpdateAction.class.php(539): wcf\system\package\PackageInstallationScheduler->buildPackageInstallationStack(true)
    #7 /home/forumbox/public_html/lib/data/package/update/PackageUpdateAction.class.php(522): wcf\data\package\update\PackageUpdateAction->createQueue('install')
    #8 [internal function]: wcf\data\package\update\PackageUpdateAction->prepareInstallation()
    #9 /home/forumbox/public_html/lib/data/AbstractDatabaseObjectAction.class.php(204): call_user_func(Array)
    #10 /home/forumbox/public_html/lib/action/AJAXProxyAction.class.php(74): wcf\data\AbstractDatabaseObjectAction->executeAction()
    #11 /home/forumbox/public_html/lib/action/AJAXInvokeAction.class.php(104): wcf\action\AJAXProxyAction->invoke()
    #12 /home/forumbox/public_html/lib/action/AbstractAction.class.php(47): wcf\action\AJAXInvokeAction->execute()
    #13 /home/forumbox/public_html/lib/action/AJAXInvokeAction.class.php(63): wcf\action\AbstractAction->__run()
    #14 /home/forumbox/public_html/lib/system/request/Request.class.php(83): wcf\action\AJAXInvokeAction->__run()
    #15 /home/forumbox/public_html/lib/system/request/RequestHandler.class.php(94): wcf\system\request\Request->execute()
    #16 /home/forumbox/public_html/acp/index.php(9): wcf\system\request\RequestHandler->handle('wcf', true)
    #17 {main}

    • getting that too unfortunately...

    • I installed the latest update from his site and that worked. But I've no idea whether the plug-in is working or not, as I can't embed tweets or anything. You need to sign up to his site, to download from there.


      Really, all support and downloads for plug-ins should be on this site.

  • Genau so habe ich das nun auch gemacht. Hat hervorragend geklappt! :-) Danke (AndyLee)

  • Habe das PlugIn entfernt und das neue von hier: https://shop.destinaja.de/prod…aprovider-collection-wsc/ installiert. Alles andere wäre wohl mehr Arbeit gewesen...

    • Gemäß meiner Pluginbeschreibung gibt es keinen Support via Kommentare.
      Bitte nutzt die Supportseite. Danke.
      According to my plugin description, there is no support via comments.
      Please use the support page. Thank you.

    • Es ist wesentlich einfacher und nervenschonender, das PlugIn zu entfernen, auf Alternativen zurückzugreifen oder einfach neu zu installieren.

  • WO KANN MAN DIE VERSION 1.0.2 als KOmplett PLUGIN HERUNTERLADEN?
    UPDATE FUNKTIONIERT NICHT - WIE KANN ICH DAS UPGRADEN ??
    Paket-Aktualisierung
    MediaProvider Collection (WSC)
    Fügt viele Medienanbieter hinzu.
    Installierte Version
    1.0.1 (28. Februar 2017)
    Verfügbare Versionen
    1.0.2
    ___________________________



    Was ist passiert?


    Leider ist es bei der Verarbeitung zu einem Fehler gekommen und die Ausführung wurde abgebrochen. Falls möglich, leiten Sie bitte den oben stehenden Fehlercode an den Administrator weiter.
    Administratoren können die vollständige Fehlermeldung mit Hilfe dieses Codes in der Administrationsoberfläche unter „Protokoll » Fehler“ einsehen. Zusätzlich wurden die Informationen in die Protokolldatei */log/2017-06-22.txt geschrieben und können beispielsweise mit Hilfe eines FTP-Programms abgerufen werden.


    Hinweis: Der Fehlercode wird zufällig generiert, erlaubt keinen Rückschluss auf die Ursache und ist daher für Dritte nutzlos.


    System Information
    PHP Version:
    5.6.30
    WoltLab Suite Core:
    3.0.5
    Peak Memory Usage:
    3.677/1024 MiB
    Request URI:
    /acp/index.php?install-package/&
    Referrer:
    http://myhomepage.de/acp/index.php?package-update/
    User Agent:
    Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:54.0) Gecko/20100101 Firefox/54.0
    Error


    fopen(/var/www/vhosts/myhomepage/httpdocs/board/js/3rdParty/xivdb_tooltips.js): failed to open stream: Permission denied
    fopen(/var/www/vhosts/myhomepage/httpdocs/board/js/3rdParty/xivdb_tooltips.min.js): failed to open stream: Permission denied
    fopen(/var/www/vhosts/myhomepage/httpdocs/board/style/mediaprovider.scss): failed to open stream: Permission denied


    Error Type:
    wcf\system\exception\SystemException
    Error Message:
    error(s) during the installation of the files.
    File:
    */lib/system/setup/Installer.class.php (167)
    Stack Trace:
    #0 */lib/system/setup/Installer.class.php (54):
    wcf\system\setup\Installer->install()
    #1 */lib/system/package/PackageInstallationDispatcher.class.php (690):
    wcf\system\setup\Installer->__construct('*/.', '*/tmp/files_cd08b009dd42bb24ba80194ee08bb4f8df24b914.tar', wcf\system\package\FilesFileHandler)
    #2 */lib/system/package/plugin/FilePackageInstallationPlugin.class.php (50):
    wcf\system\package\PackageInstallationDispatcher->extractFiles('*/.', '*/tmp/files_cd08b009dd42bb24ba80194ee08bb4f8df24b914.tar', wcf\system\package\FilesFileHandler)
    #3 */lib/system/package/plugin/AbstractPackageInstallationPlugin.class.php (70):
    wcf\system\package\plugin\FilePackageInstallationPlugin->install()
    #4 */lib/system/package/PackageInstallationDispatcher.class.php (603):
    wcf\system\package\plugin\AbstractPackageInstallationPlugin->update()
    #5 */lib/system/package/PackageInstallationDispatcher.class.php (141):
    wcf\system\package\PackageInstallationDispatcher->executePIP([ attributes => , pip => , value => ])
    #6 */lib/acp/action/InstallPackageAction.class.php (72):
    wcf\system\package\PackageInstallationDispatcher->install('7cf35e02')
    #7 */lib/action/AbstractDialogAction.class.php (68):
    wcf\acp\action\InstallPackageAction->stepInstall()
    #8 */lib/action/AbstractAction.class.php (47):
    wcf\action\AbstractDialogAction->execute()
    #9 */lib/system/request/Request.class.php (83):
    wcf\action\AbstractAction->__run()
    #10 */lib/system/request/RequestHandler.class.php (94):
    wcf\system\request\Request->execute()
    #11 */acp/index.php (9):
    wcf\system\request\RequestHandler->handle('wcf', true)


    Fehlermeldung beim Update: Wie unten: Version MediaProvider Collection (WSC) Version 1.0.2

    • Gemäß meiner Pluginbeschreibung gibt es keinen Support via Kommentare.
      Bitte nutzt die Supportseite. Danke.
      According to my plugin description, there is no support via comments.
      Please use the support page. Thank you.

  • Ich wollte eben updaten und bekomme folgende Meldung:


    An update of package de.softcreatr.wsc.mediaelementjs from version 1.0.0 RC 1 to 1.1.0 pl 1 is not supported.


    Stacktrace:


    #0 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/system/package/PackageInstallationScheduler.class.php(516): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('de.softcreatr.w...', Array, '1.0.0 RC 1', '1.1.0 pl 1')
    #1 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/system/package/PackageInstallationScheduler.class.php(104): wcf\system\package\PackageInstallationScheduler->updatePackage(151, '1.1.0 pl 1')
    #2 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/system/package/PackageInstallationScheduler.class.php(65): wcf\system\package\PackageInstallationScheduler->tryToInstallPackage(Object(wcf\data\package\Package), '1.1.0 pl 1', true, false)
    #3 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/data/package/update/PackageUpdateAction.class.php(520): wcf\system\package\PackageInstallationScheduler->buildPackageInstallationStack(false)
    #4 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/data/package/update/PackageUpdateAction.class.php(472): wcf\data\package\update\PackageUpdateAction->createQueue('update')
    #5 [internal function]: wcf\data\package\update\PackageUpdateAction->prepareUpdate()
    #6 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/data/AbstractDatabaseObjectAction.class.php(204): call_user_func(Array)
    #7 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/action/AJAXProxyAction.class.php(74): wcf\data\AbstractDatabaseObjectAction->executeAction()
    #8 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/action/AJAXInvokeAction.class.php(104): wcf\action\AJAXProxyAction->invoke()
    #9 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/action/AbstractAction.class.php(47): wcf\action\AJAXInvokeAction->execute()
    #10 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/action/AJAXInvokeAction.class.php(63): wcf\action\AbstractAction->__run()
    #11 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/system/request/Request.class.php(83): wcf\action\AJAXInvokeAction->__run()
    #12 /homepages/36/d371371570/htdocs/Woltlab/wcf/lib/system/request/RequestHandler.class.php(94): wcf\system\request\Request->execute()
    #13 /homepages/36/d371371570/htdocs/Woltlab/wcf/acp/index.php(9): wcf\system\request\RequestHandler->handle('wcf', true)
    #14 {main}

    • Gemäß meiner Pluginbeschreibung gibt es keinen Support via Kommentare.
      Bitte nutzt die Supportseite. Danke.
      According to my plugin description, there is no support via comments.
      Please use the support page. Thank you.

  • Hi, nice plugin, could you include Flickr albums? Take a look at this thread: https://community.woltlab.com/…ostID=1599394#post1599394

  • Kann es sein das XIVdb nicht mehr funktioniert? Seid dem Upgrade zu WSC + Plugin Installation, werden Links nicht mehr umgewandelt :(.

  • Was mir noch nicht ganz klar ist wie ich Google Maps als Media in einen Thread einfügen kann

  • oouuhhhh yesss *installer geht auf*